Remove a group attribute
curl --request DELETE \
--url https://api.scrip.dev/v1/groups/{id}/state/attributes/{key} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.scrip.dev/v1/groups/{id}/state/attributes/{key}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.scrip.dev/v1/groups/{id}/state/attributes/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "bad_request",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Invalid request parameters"
}{
"code": "unauthorized",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Missing or invalid credentials"
}{
"code": "not_found",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Resource not found"
}{
"code": "internal_error",
"message": "An internal error occurred"
}State
Remove group attribute
Removes a single attribute by key from a group.
DELETE
/
v1
/
groups
/
{id}
/
state
/
attributes
/
{key}
Remove a group attribute
Removes a single attribute from a group by key. The key is passed as a path parameter. Returns
204 No Content on success.
This is the only way to delete an attribute entirely. The update attributes endpoint (PATCH) can overwrite values but cannot remove keys. If the key does not exist, the call returns successfully as a no-op.
For usage patterns and examples, see the State Management guide.
⌘I